JE::Object::Boolean(3pm)

NAME
JE::Object::Boolean - JavaScript Boolean object class

SYNOPSIS
  use JE;

  $j = new JE;

  $js_bool_obj = new JE::Object::Boolean $j, 1;

  $perl_bool = $js_bool_obj->value;

  "$js_bool_obj";  # true

DESCRIPTION
This class implements JavaScript Boolean objects for JE. The difference between this and JE::Boolean is that that module implements primitive boolean values, while this module implements the objects.

METHODS
See JE::Types for descriptions of most of the methods. Only what is specific to JE::Object::Boolean is explained here.

value
    Returns a Perl scalar, either 1 or the empty string (well, actually !1).

SEE ALSO

JE
JE::Types
JE::Object
JE::Boolean